## javanet.staxutils.events
Class EntityDeclarationEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.EntityDeclarationEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, EntityDeclaration, XMLEvent, XMLStreamConstants

    public class EntityDeclarationEvent

extends AbstractXMLEvent
implements EntityDeclaration

`EntityDeclaration` event implementation.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary
`protected String` `baseURI` The entity base URI, or `null` if this isn't an external entity
`protected String` `name` The entity name.
`protected String` `notationName` The optional notation name.
`protected String` `publicId` The public id, or `null` if this isn't an external entity
`protected String` `replacementText` The replacement text, or `null` if this isn't an internal entity.
`protected String` `systemId` The system id, or `null` if this isn't an external entity.

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`EntityDeclarationEvent(EntityDeclaration that)`
`EntityDeclarationEvent(String name, String replacementText, Location location)`
`EntityDeclarationEvent(String name, String replacementText, String notationName, Location location)`
`EntityDeclarationEvent(String name, String publicId, String systemId, String baseURI, String notationName, Location location)`

Method Summary
`String` `getBaseURI()`
`int` `getEventType()` Returns `XMLStreamConstants.ENTITY_DECLARATION`.
`String` `getName()`
`String` `getNotationName()`
`String` `getPublicId()`
`String` `getReplacementText()`
`String` `getSystemId()`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Field Detail

### name

    protected String name

  The entity name.

### replacementText

    protected String replacementText

  The replacement text, or `null` if this isn't an internal entity.

### baseURI

    protected String baseURI

  The entity base URI, or `null` if this isn't an external entity

### publicId

    protected String publicId

  The public id, or `null` if this isn't an external entity

### systemId

    protected String systemId

  The system id, or `null` if this isn't an external entity.

### notationName

    protected String notationName

  The optional notation name.

Constructor Detail

### EntityDeclarationEvent

    public EntityDeclarationEvent(String name,
                                  String replacementText,
                                  Location location)

### EntityDeclarationEvent

    public EntityDeclarationEvent(String name,
                                  String replacementText,
                                  String notationName,
                                  Location location)

### EntityDeclarationEvent

    public EntityDeclarationEvent(String name,
                                  String publicId,
                                  String systemId,
                                  String baseURI,
                                  String notationName,
                                  Location location)

### EntityDeclarationEvent

    public EntityDeclarationEvent(EntityDeclaration that)

Method Detail

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.ENTITY_DECLARATION`.

  Specified by:
    `getEventType` in interface `XMLEvent`

### getBaseURI

    public String getBaseURI()

  Specified by:
    `getBaseURI` in interface `EntityDeclaration`

### getName

    public String getName()

  Specified by:
    `getName` in interface `EntityDeclaration`

### getNotationName

    public String getNotationName()

  Specified by:
    `getNotationName` in interface `EntityDeclaration`

### getPublicId

    public String getPublicId()

  Specified by:
    `getPublicId` in interface `EntityDeclaration`

### getReplacementText

    public String getReplacementText()

  Specified by:
    `getReplacementText` in interface `EntityDeclaration`

### getSystemId

    public String getSystemId()

  Specified by:
    `getSystemId` in interface `EntityDeclaration`